# Teyvatology_API_Client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v1
- Package version: 1.0.1
- Generator version: 7.9.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import api-client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import api-client
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import api-client
from api-client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://localhost
# See configuration.py for a list of all supported configuration parameters.
configuration = api-client.Configuration(
    host = "http://localhost"
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization (JWT): Bearer
configuration = api-client.Configuration(
    access_token = os.environ["BEARER_TOKEN"]
)


# Enter a context with an instance of the API client
with api-client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = api-client.BookApi(api_client)

    try:
        # Get all books from database
        api_response = api_instance.books_get()
        print("The response of BookApi->books_get:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling BookApi->books_get: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*BookApi* | [**books_get**](docs/BookApi.md#books_get) | **GET** /books | Get all books from database
*BookApi* | [**get_by_id**](docs/BookApi.md#get_by_id) | **GET** /books/{id} | Get the book by id
*PaimonApi* | [**ai_paimon_post**](docs/PaimonApi.md#ai_paimon_post) | **POST** /ai/paimon | Get the response from the prompt
*UserApi* | [**users_create_post**](docs/UserApi.md#users_create_post) | **POST** /users/create | Create a new user
*UserApi* | [**users_login_post**](docs/UserApi.md#users_login_post) | **POST** /users/login | Login a user
*UserApi* | [**users_update_email_put**](docs/UserApi.md#users_update_email_put) | **PUT** /users/update/email | Update email information
*UserApi* | [**users_update_password_put**](docs/UserApi.md#users_update_password_put) | **PUT** /users/update/password | Update password information
*UserApi* | [**users_update_username_put**](docs/UserApi.md#users_update_username_put) | **PUT** /users/update/username | Update username information


## Documentation For Models

 - [Book](docs/Book.md)
 - [CreateUserRequestBody](docs/CreateUserRequestBody.md)
 - [EmailUpdateRequestBody](docs/EmailUpdateRequestBody.md)
 - [GetPromptRequestBody](docs/GetPromptRequestBody.md)
 - [LoginRequestBody](docs/LoginRequestBody.md)
 - [PasswordUpdateRequestBody](docs/PasswordUpdateRequestBody.md)
 - [UsernameUpdateRequestBody](docs/UsernameUpdateRequestBody.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="Bearer"></a>
### Bearer

- **Type**: Bearer authentication (JWT)


## Author




